orbd(1)

NAME
orbd - The Object Request Broker Daemon

orbd is used to enable clients to transparently locate and invoke persistent objects on servers in the CORBA environment.

SYNOPSIS
orbd < options >

DESCRIPTION
The orbd tool is used to enable clients to transparently locate and invoke persistent objects on server in the CORBA environment. The persistent servers, while publishing the persistent object references in the Naming Service, include the port number of the ORBD in the object reference instead of the port number of the Server. The inclusion of ORBD port number in the object reference for persistent object references has the following advantages:

• The object reference in the Naming Service remains
    independent of the server life cycle. For example, the object reference could be published by the server in the Naming Service when it is first installed, and then independent of how many times the server is started or shutdown, the ORBD will always return the correct object reference to the invoking client.

• The client needs to lookup the object reference in
    the Naming Service only once, and can keep re-using this reference independent of the chanes introduced due to server life cycle.

The orbd tool incorporates the following functionality:

• Server Manager
    When used in conjunction with the servertool, the Server Manager locates, registers, and activates a server when a client wants to access the server.

• Interoperable Naming Service (INS)
    The naming service maps logical names to object references so that you can use the name to retrieve the object reference and invoke operations on that object. ORBD is used instead of the Transient Naming Service, tnameserv. ORBD includes both a Transient Naming Service and a Persistent Naming Service.

• Bootstrap Name Server
    The persistent servers publish their object references in this Name Server. The clients can, in turn, contact this Name Server for looking up the object references. The advantage of providing this bootstrap name server as part of ORBD is that the user doesn't need to start an additional Name Server process for publishing and resolving object references.

The ORBD works with the servertool, which is used to register, unregister, and list server information.

OPTIONS

-port port
    Specifies the activation port where the ORBD should be started. The default value for this port is 1049. This port number is added to the port field of the persistent Interoperable Object References (IOR). (optional)

-defaultdb directory
    Specifies the base where the ORBD persistent storage directory orb.db is created. If this option is not specified, the default value is "./orb.db". (optional)

-serverid ID
    Specifies the persistent server ID to be assigned to this ORBD. The default value is 1. (optional)

-ORBInitialPort nameserverport
    Specifies the port on which the bootstrap name server is running. Note that when using Solaris software, you must become root to start a process on a port under 1024. For this reason, we recommend that you use a port number greater than or equal to 1024. (required)

-serverPollingTime milliseconds
    Specifies how often the daemon thread checks for the health of registered servers. ORBD polls process health every milliseconds. The default value is 1,000 ms (or 1 second). The value specified for milliseconds must be a valid integer.

-serverStartupDelay milliseconds
    Specifies how long the ServerManager waits before sending a location forward exception after the server is restarted. ORBD waits for milliseconds before raising a location forward exception. The default value is 1,000 ms (or 1 second). The value specified for milliseconds must be a valid integer.

J  option
    Pass option to the Java virtual machine, where option is one of the options described on the man page for the java application launcher, java(1). For example, -J-Xms48m sets the startup memory to 48 megabytes. It is a common convention for -J to pass options to the underlying virtual machine.

  ENVIRONMENT VARIABLES

CLASSPATH
    Used to provide the system a path to user-defined classes. Directories are separated by colons. For information on setting the CLASSPATH, see Setting the Class Path.

SEE ALSO
java, javac, classpath, servertool